        <?php
$age = '';
if (isset($personRow['event_date']) && strpos($personRow['event_date'], '-00') == 0) {
    $deadRow = mysqli_fetch_array(mysqli_query($link, "SELECT event_date FROM 2mr_events WHERE event_type = 'D' AND person_id = " . $_SESSION['person_id']));
    if (isset($deadRow[0])) {
        if (date_diff(date_create($personRow['event_date']), date_create('today'))->y > 0) {
            $age = localize("Décédé(e) à", $_SESSION['lang']) . ' ' . date_diff(date_create($personRow['event_date']), date_create($deadRow[0]))->y . ' ' . localize("ans", $_SESSION['lang']) . '.';
        } else {
            $age = localize("Décédé(e) à", $_SESSION['lang']) . ' ' . date_diff(date_create($personRow['event_date']), date_create($deadRow[0]))->m . ' ' . localize("mois", $_SESSION['lang']) . '.';
        }
    } else {
        if (date_diff(date_create($personRow['event_date']), date_create('today'))->y > 0) {
            $age = localize("Agé(e) de", $_SESSION['lang']) . ' ' . date_diff(date_create($personRow['event_date']), date_create('today'))->y . ' ' . localize("ans", $_SESSION['lang']) . '.';
        } else {
            $age = localize("Agé(e) de", $_SESSION['lang']) . ' ' . date_diff(date_create($personRow['event_date']), date_create('today'))->m . ' ' . localize("mois", $_SESSION['lang']) . '.';
        }
    }
}
$fatherRow = mysqli_fetch_assoc(mysqli_query($link, "SELECT person_id, person_first_name, person_last_name FROM 2mr_persons WHERE person_id = " . $personRow['person_father_id']));
$motherRow = mysqli_fetch_assoc(mysqli_query($link, "SELECT person_id, person_first_name, person_last_name FROM 2mr_persons WHERE person_id = " . $personRow['person_mother_id']));
echo '
            <div class="box card">
                <h3>
                    ' . (isEditor($_SESSION['userID']) ? '
                    <i class="fas fa-pen" id="person_edit" onclick=\'
                        document.getElementById("person_card").style.display="none";
                        document.getElementById("person_form").style.display="block";
                        this.style.backgroundColor="white";
                        this.style.borderColor="white";
                    \'></i>' : '') . ' ' . localize("Fiche d'identité", $_SESSION['lang']) . ' :
                </h3>
                <div id="person_card">
                    <div class="name">' . ['M' => 'Mr', 'F' => 'Mme'][$personRow['person_gender']] . ' ' . $personRow['person_first_name'] . ' ' . $personRow['person_last_name'] . '</div>
                    <div class="age">' . $age . '</div>
                    <div class="face">' . (!isset($personRow['media_file']) || !file_exists('medias/' . $personRow['media_file']) ? '<img src="medias/Anonymous.gif">' : '<img src="medias/' . $personRow['media_file'] . '">') . '</div>
                    <div class="parent"><span>' . localize("Père", $_SESSION['lang']) . ' :</span>' . (isset($fatherRow['person_id']) ? $fatherRow['person_first_name'] . ' ' . $fatherRow['person_last_name']:'') . '</div>
                    <div class="parent"><span>' . localize("Mère", $_SESSION['lang']) . ' :</span>' . (isset($motherRow['person_id']) ? $motherRow['person_first_name'] . ' ' . $motherRow['person_last_name']:'') . '</div>
                </div>

                <form id="person_form" action="admin/updates.php" method="POST" enctype="multipart/form-data">
                    <label>' . localize("Prénom", $_SESSION['lang']) . ' :</label>
                    <input type="text" id="person_first_name" name="person_first_name" value="' . $personRow['person_first_name'] . '" placeholder="' . localize("Prénom", $_SESSION['lang']) . '" class="first_name"/>
                    <label>' . localize("Nom", $_SESSION['lang']) . ' :</label>
                    <input type="text" id="person_last_name" name="person_last_name" value="' . $personRow['person_last_name'] . '" placeholder="' . localize("Nom", $_SESSION['lang']) . '" class="last_name"/>
                    <label>' . localize("Genre", $_SESSION['lang']) . ' :</label>
                    <input type="radio" id="person_gender_M" name="person_gender" value="M"' . ($personRow['person_gender'] == 'M' ? ' checked' : '') . (isEditor($_SESSION['userID']) ? '' : ' disabled') . '/> <label class="radio_label" for="person_gender_M">' . localize("Homme", $_SESSION['lang']) . '</label>
                    <input type="radio" id="person_gender_F" name="person_gender" value="F"' . ($personRow['person_gender'] == 'F' ? ' checked' : '') . (isEditor($_SESSION['userID']) ? '' : ' disabled') . '/> <label class="radio_label" for="person_gender_F">' . localize("Femme", $_SESSION['lang']) . '</label>
                    <input type="hidden" id="old_media_file" name="old_media_file" "value="' . $personRow['media_file'] . '">
                    <div class="face">
                        ' . (!isset($personRow['media_file']) ? '<img id="pict1" src="medias/Anonymous.gif">' : '<a href="admin/updates.php?delface" title="' . localize("Cliquez pour la supprimer", $_SESSION['lang']) . ' ..."><img id="pict1" src="medias/' . $personRow['media_file'] . '"></a>') . '
                        <label for="face_file" class="button" title="' . localize("Sélectionnez une photo d'identité", $_SESSION['lang']) . '">' . localize("Choisir photo", $_SESSION['lang']) . '</label>
                        <input type="file" name="face_file" id="face_file" onchange="document.getElementById(\'pict1\').src = window.URL.createObjectURL(this.files[0])" />
                    </div>
                    <label>' . localize("Père", $_SESSION['lang']) . ' :</label>
                    <div class="autocomplete" autocomplete="off">
                        <input placeholder="' . localize("prénom Nom", $_SESSION['lang']) . '" type="text" id="father" name="father" value="' . (isset($fatherRow['person_id']) ? $fatherRow['person_first_name'] . ' ' . $fatherRow['person_last_name']:'') . '" />
                        <input type="hidden" id="person_father_id" name="person_father_id" />
                    </div>
                    <label>' . localize("Mère", $_SESSION['lang']) . ' :</label>
                    <div class="autocomplete" autocomplete="off">
                        <input placeholder="' . localize("prénom Nom", $_SESSION['lang']) . '" type="text" id="mother" name="mother" value="' . (isset($motherRow['person_id']) ? $motherRow['person_first_name'] . ' ' . $motherRow['person_last_name']:'') . '" />
                        <input type="hidden" id="person_mother_id" name="person_mother_id" />
                    </div>
                    ' . (isEditor($_SESSION['userID']) ? '
                    <div class="buttons-bar">
                        <a class="button" onclick=\'
                            document.getElementById("person_card").style.display="block";
                            document.getElementById("person_form").style.display="none";
                            document.getElementById("person_edit").style.backgroundColor="#34568B";
                            document.getElementById("person_edit").style.borderColor="#34568B";
                        \'>' . localize("Quitter", $_SESSION['lang']) . '</a>
                        <input type="submit" name="person_form_submit" value="' . localize("Sauver", $_SESSION['lang']) . '" />
                        <button class="delete" name="person_form_delete" onclick=\'
                            if (confirm("' . localize("Confirmez-vous la suppression de cet individu ?", $_SESSION['lang']) . '"))
                                document.getElementById("person_form").submit();
                            \'/>' . localize("Supprimer", $_SESSION['lang']) . '</button>
                    </div>' : '') . '
                </form>

            </div>';
