<?php

echo '
    <header>

        <div>
            <a href="#main-menu" role="button" id="main-menu-toggle" class="menu-toggle" aria-expanded="false" aria-controls="main-menu"
                aria-label="Open main menu">
                <span class="sr-only">Open main menu</span>
                <span class="fa fa-bars" aria-hidden="true"></span>
            </a>

            <a href="index.php" title="' . localize("Accueil", $_SESSION['lang']) . '"><img src="template/images/' . $site_logo . '" alt="Logo" class="logo"></a>

            <nav id="main-menu" role="navigation" class="main-menu" aria-expanded="false" aria-label="Main menu">

                <a href="#main-menu-toggle" role="button" id="main-menu-close" class="menu-close" aria-expanded="false" aria-controls="main-menu"
                   aria-label="Close main menu">
                    <span class="sr-only">Close main menu</span>
                    <span class="fa fa-close" aria-hidden="true"></span>
                </a>

                <ul>

                    <li class="lang">
                        <a href="?' . (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'lang=FR" title="Français"><img src="template/images/fr.svg"></a>
                        <a href="?' . (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'lang=NL" title="Nederlands"><img src="template/images/nl.svg"></a>
                        <a href="?' . (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'lang=EN" title="English"><img src="template/images/uk.svg"></a>
                        <a href="?' . (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'lang=IT" title="Italiano"><img src="template/images/it.svg"></a>
                    </li>';
if (isset($_SESSION['userID'])) {
    echo '
                    <li><a href="?logout" title="' . localize("Se déconnecter", $_SESSION['lang']) . '...">' . localize("Déconnexion", $_SESSION['lang']) . '</a></li>';
    echo '
                    <li><a href="?page=choices" title="' . localize("Modifier son profil", $_SESSION['lang']) . '...">' . localize("Préférences", $_SESSION['lang']) . '</a></li>';
    if (isAdmin($_SESSION['userID'])) {
        echo '
                    <li><a href="?page=admin" title="' . localize("Gérer les utilisateurs", $_SESSION['lang']) . '...">' . localize("Administration", $_SESSION['lang']) . '</a></li>';
    } else {
        echo '
                    <li><a href="?page=tree" title="' . localize("Afficher la branche descendante de cet individu", $_SESSION['lang']) . '..."' . (isset($_SESSION['person_id']) && $_SESSION['person_id'] > 0 ? '':' class="isDisabled"') . '>' . localize("Arbre", $_SESSION['lang']) . '</a></li>';
    }
    echo '
                    <li><a href="?page=help" title="' . localize("Manuel d'utilisation", $_SESSION['lang']) . '...">' . localize("Aide", $_SESSION['lang']) . '</a></li>';
} else {
    echo '
                    <li><a href="?page=login" title="' . localize("Se connecter", $_SESSION['lang']) . '...">' . localize("Connexion", $_SESSION['lang']) . '</a></li>
                    <li><a href="?page=signup" title="' . localize("Se faire membre", $_SESSION['lang']) . '...">' . localize("Enregistrement", $_SESSION['lang']) . '</a></li>
                    ';
}
echo '

                </ul>

            </nav>

            <a href="#main-menu-toggle"
               class="backdrop"
               tabindex="-1"
               aria-hidden="true" hidden>
            </a>

        </div>';
if (!isset($_GET['page']) || !in_array($_GET['page'],['admin','choices','login','signup'])) {
    echo '        
        <div class="search">
            <div>
                <form class="autocomplete" autocomplete="off">
                    <input style="margin-left:0" placeholder="' . localize("Voir l'individu", $_SESSION['lang']) . '" type="text" id="kinship" name="kinship" value="' . (isset($_SESSION['person_id']) && $_SESSION['person_id'] > 0 ? mysqli_fetch_array(mysqli_query($link,"SELECT CONCAT(person_first_name,' ',person_last_name) FROM 2mr_persons WHERE person_id = " . $_SESSION['person_id']))[0]:'') . '" />
                </form>
                <i class="fas fa-question" onclick="document.getElementById(\'help_autocomplete\').style.display=\'block\';" ></i>
                <div id="help_autocomplete">
                    <i class="fa fa-times" onclick="document.getElementById(\'help_autocomplete\').style.display=\'none\';"></i>
                    <p>' . localize("Saisissez le prénom puis le nom de la personne recherchée.", $_SESSION['lang']) . '</p>
                    ' . (!isset($_SESSION['userID']) ? '<p class="warning">' . localize("Pour des raisons de confidentialité, seules les personnes décédées depuis plus de 100 ans sont listées.<br>Veuillez <a href='?page=login'>vous connecter</a> pour visualiser l'entiereté de l'arbre.", $_SESSION['lang']) . '</p>':"") . '
                </div>';
    if (isset($_SESSION['userID']) && isEditor($_SESSION['userID'])) {
        echo '
                <a href="?page=new">' . localize("Nouveau", $_SESSION['lang']) . '</a>';
    }
    echo '
            </div>
        </div>';
}
echo '

    </header>
    ';
