<?php
echo '
            <div class="box help">';
switch ($_SESSION['lang']) {
    case 'FR':
        echo '
                <h3>
                    Tout savoir sur<img src="template/images/' . $site_logo . '" class="logo">
                </h3>

                <b>Présentation</b> :
                <p>
                    Voici notre arbre généalogique privilégiant la simplicité de navigation et la clareté.
                    <br>
                    Il est optimisé pour l\'utilisation sur petit écran (tablette ou smartphone).
                </p>
                <p>
                    Contrairement aux autres arbres, seul les individus apparentés au premier degré avec la personne concernée sont affichés.
                    <br>
                    Après connexion, les données d\'état civil, les événements marquant, les documents et les médias de l\'individu ciblé sont accessibles directement.
                    <br>
                    Il peut être "suivi" afin d\'être averti par mail d\'une modification le concernant.
                    <br>
                    L\'arbre reprenant ses descendances est affiché horizontalement et peut-être exporté en PDF.
                </p>           

                <b>Préparation</b> :
                <p>
                    Collectez et regroupez les données d\'état civil, une photo d\'identité, les détails des événements marquant, les documents officiels et les médias de chaque individu.
                    <br>
                    Classez-les ensuite par ordre anti-chronologique de date de naissance pour commencer par la plus ancienne génération.
                    <br>
                    Scannez les documents et certificats puis sauvez-les aux formats bureautique DOCX, XLSX, PPTX ou PDF.
                    <br>
                    La photo d\'identité, quant à elle, doit être au format JPG et de ratio carré.
                </p>

                <b>Navigation</b> :
                <p>
                Commencez à saisir le prénom de la personne désirée dans la zone "Voir l\'individu" afin que le système d\'autocomplétion affine la liste de corespondances.
                <br>
                <i>Si vous n\'êtes pas connecté elle sera assez courte voire vide car pour des raisons de confidentialité nous n\'affichons que les personnes décédées depuis plus de 100 ans.</i>
                <br>
                </p>
                <p>
                    Cliquez ensuite sur son nom pour afficher son profil, ses événements et ses documents. 
                    <br>
                    Les parents et enfants de la personne concernée peuvent être sélectionnés pour basculer sur ceux-ci.
                </p>

                <b>Ajouter un individu</b> :
                <ul>
                    <li>Introduisez les infos de base pour créer sa fiche.</li>
                    <li>Ajoutez ensuite ses évènements marquants.</li>
                    <li>La naissance et l\'union sont automatiquement reportées chez les individus concernés.</li>
                    <li>Les photos et documents peuvent être chargés utlérieurement.</li>
                </ul>
                <p>
                </p>
                <b>Impression</b> :
                <p>
                </p>
                ';
        break;
    case 'NL':
        echo '
                <h3>
                    Alles over<img src="template/images/' . $site_logo . '" class="logo">
                </h3>';
        break;
    case 'EN':
        echo '
                <h3>
                    All about<img src="template/images/' . $site_logo . '" class="logo">
                </h3>';
        break;
    case 'IT':
        echo '
                <h3>
                    Tutto su di<img src="template/images/' . $site_logo . '" class="logo">
                </h3>';
    break;
}
echo '
            </div>';