<?php
echo '
            <div class="box howto">';
if (isset($_SESSION['userID'])) {
    switch ($_SESSION['lang']) {
        case 'FR':
            echo '
                <h3 style="white-space:nowrap">
                    Prise en main de<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <b>Navigation dans l\'arbre</b> :
                <ul>
                    <li>Saisissez le prénom et le nom d\'un individu.</li>
                    <li>Parcourez en cliquant sur un parent ou un enfant.</li>
                    <li>Visionnez le partenaire en cliquant sur ses prénom & nom dans l\'évènement.</li>
                </ul>
                <b>Ajout ou édition d\'un individu</b> :
                <ul>
                    <li>Introduisez les infos de base pour créer sa fiche.</li>
                    <li>Ajoutez ensuite ses évènements marquants.</li>
                    <li>La naissance et l\'union sont automatiquement reportées chez les individus concernés.</li>
                    <li>Les photos et documents peuvent être chargés utlérieurement.</li>
                </ul>
                <b>Médias</b> :
                <ul>
                    <li>La photo d\'identité doit être au format JPG et de ratio carré.</li>
                    <li>Les documents et certificats aux formats bureautique DOCX, XLSX, PPTX et PDF sont acceptés.</li>
                </ul>
                ';
            break;
        case 'NL':
            echo '
                <h3 style="white-space:nowrap">
                    Behandeling van<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <b>Navigeren door de boom</b> :
                <ul>
                    <li>Voer de voor- en achternaam van een individu in.</li>
                    <li>Bladeren door te klikken op een ouder of kind.</li>
                    <li>Bekijk de partner door op hun voor- en achternaam te klikken in het evenementgedeelte.</li>
                </ul>
                <b>Een persoon toevoegen of bewerken</b> :
                <ul>
                    <li>Voer de basisgegevens in om uw bestand aan te maken.</li>
                    <li>Voeg dan de mijlpalen toe.</li>
                    <li>Geboorte en verbintenis worden automatisch overgedragen op de betrokken personen.</li>
                    <li>Foto\'s en documenten kunnen later worden geüpload.</li>
                </ul>
                <b>Media</b> :
                <ul>
                    <li>De pasfoto moet in JPG formaat zijn en vierkant van formaat.</li>
                    <li>Documenten en certificaten in DOCX-, XLSX-, PPTX- en PDF-formaat worden aanvaard.</li>
                </ul>';
            break;
        case 'EN':
            echo '
                <h3 style="white-space:nowrap">
                    Handling of<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <b>Navigating the tree</b> :
                <ul>
                    <li>Enter an individual\'s first and last name.</li>
                    <li>Browse by clicking on a parent or child.</li>
                    <li>View the partner by clicking on his first & last name in the event.</li>
                </ul>
                <b>Adding or editing an individual</b> :
                <ul>
                    <li>Enter the basic information to create your record.</li>
                    <li>Then add its milestones.</li>
                    <li>Birth and union are automatically carried over to the individuals concerned.</li>
                    <li>Photos and documents can be uploaded later.</li>
                </ul>
                <b>Media</b> :
                <ul>
                    <li>The passport photo must be in JPG format and square ratio.</li>
                    <li>Documents and certificates in DOCX, XLSX, PPTX and PDF formats are accepted.</li>
                </ul>';
            break;
        case 'IT':
            echo '
                <h3 style="white-space:nowrap">
                    Manipolazione di<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <b>Navigazione dell\'albero :
                <ul>
                    <li>Inserire il nome e il cognome di una persona.</li>
                    <li>Sfogliare cliccando su un genitore o un figlio.</li>
                    <li>Visualizzate il partner cliccando sul suo nome e cognome nella sezione dell\'evento.</li>
                </ul>
                <b>Aggiungere o modificare un individuo</b> :
                <ul>
                    <li>Inserisci le informazioni di base per creare il tuo file.</li>
                    <li>Poi aggiungere le sue pietre miliari.</li>
                    <li>La nascita e l\'unione sono riportate automaticamente agli individui interessati.</li>
                    <li>Foto e documenti possono essere caricati in seguito.</li>
                </ul>
                <b>Media</b> :
                <ul>
                    <li>La fototessera deve essere in formato JPG e di forma quadrata.</li>
                    <li>Si accettano documenti e certificati in formato DOCX, XLSX, PPTX e PDF.</li>
                </ul>';
            break;
    }
} else {
    switch ($_SESSION['lang']) {
        case 'FR':
            echo '
                <h3 style="white-space:nowrap">
                    Bienvenue sur<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <p style="font-weight:400;">
                    Voici notre arbre généalogique privilégiant la simplicité de navigation et la clareté.
                    <br>
                    Il est optimisé pour l\'utilisation sur petit écran (tablette ou smartphone).
                </p>
                <p>
                    Contrairement aux autres arbres, seul les individus apparentés au premier degré avec la personne concernée sont affichés.
                    <br>
                    Après connexion, les données d\'état civil, les événements marquant, les documents et les médias de l\'individu ciblé sont accessibles directement.
                    <br>
                    Il peut être "suivi" afin d\'être averti par mail d\'une modification le concernant.
                    <br>
                    L\'arbre reprenant ses descendances est affiché horizontalement et peut-être exporté en PDF.
                </p>              
                <h3 style="white-space:nowrap">
                    C\'est votre première visite ?
                </h3>
                Enregistrez-vous afin de pouvoir :
                <ul>
                    <li>Voir les fiches des individus existants..</li>
                    <li>Suivre vos individus préférés..</li>
                </ul>
                Et avec les droits d\'édition :
                <ul>
                    <li>Editer les fiches des individus existants..</li>
                    <li>Créer de nouvelles branches..</li>
                    <li>Ajouter des photos et des documents..</li>
                    <li>....</li>
                </ul>
                <button onclick=\'window.location.href="index.php?page=signup";\'>Enregistrement</button>';
            break;
        case 'NL':
            echo '
                <h3 style="white-space:nowrap">
                    Welkom bij onze<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <p style="font-weight:400;">
                    Dit is onze stamboom, ontworpen voor gebruiksgemak en duidelijkheid.
                    <br>
                    Hij is geoptimaliseerd voor gebruik op een klein scherm (tablet of smartphone).
                </p>
                <p>
                    In tegenstelling tot andere stambomen worden alleen personen getoond die in de eerste graad verwant zijn aan de persoon in kwestie.
                    <br>
                    Na het inloggen zijn de gegevens van de burgerlijke stand, belangrijke gebeurtenissen, documenten en media van de beoogde persoon direct toegankelijk.
                    <br>
                    Ze kunnen worden \'gevolgd\' zodat je per e-mail op de hoogte wordt gebracht van wijzigingen die op hen van invloed zijn.
                    <br>
                    De afstammelingenboom wordt horizontaal weergegeven en kan als PDF-bestand worden geëxporteerd.
                </p>
                <h3 style="white-space:nowrap">
                    Is dit je eerste bezoek ?                    
                </h3>
                Registreer om te kunnen :
                <ul>
                    <li>Bekijk en bewerk de dossiers van bestaande personen..</li>
                    <li>Volg je favoriete mensen..</li>
                </ul>
                En met de uitgeefrechten :
                <ul>
                    <li>Bewerk de dossiers van bestaande personen..</li>
                    <li>Maak nieuwe takken..</li>
                    <li>Foto\'s en documenten toevoegen..</li>
                    <li>....</li>
                </ul>
                <button onclick=\'window.location.href="index.php?page=signup";\'>Inschrijving</button>';
            break;
        case 'EN':
            echo '
                <h3 style="white-space:nowrap">
                    Welcome to our<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <p style="font-weight:400;">
                    This is our family tree, designed for ease of navigation and clarity.
                    <br>
                    It is optimized for use on a small screen (tablet or smartphone).
                </p>
                <p>
                    Unlike other trees, only individuals related to the first degree with the person concerned are displayed.
                    <br>
                    After logging in, the targeted individual\'s civil status data, milestones, documents and media are directly accessible.
                    <br>
                    He or she can be “followed” so as to be notified by e-mail of any changes affecting him or her.
                    <br>
                    The descendants tree is displayed horizontally and can be exported as a PDF file.
                </p>
                <h3 style="white-space:nowrap">
                    Is this your first visit ?                    
                </h3>
                Register to be able to :
                <ul>
                    <li>View the records of existing individuals..</li>
                    <li>Follow your favorite people..</li>
                </ul>
                And with the publishing rights :
                <ul>
                    <li>Edit the records of existing individuals..</li>
                    <li>Create new branches..</li>
                    <li>Add photos and documents..</li>
                    <li>....</li>
                </ul>
                <button onclick=\'window.location.href="index.php?page=signup";\'>Sign Up</button>';
            break;
        case 'IT':
            echo '
                <h3 style="white-space:nowrap">
                    Benvenuti nel nostro<img src="template/images/' . $site_logo . '" class="logo">
                </h3>
                <p style="font-weight:400;">
                    Questo è il nostro albero genealogico, progettato per essere facile da usare e chiaro.
                    <br>
                    È ottimizzato per l\'uso su uno schermo piccolo (tablet o smartphone).
                </p>
                <p>
                    A differenza di altri alberi, vengono visualizzati solo gli individui imparentati in primo grado con la persona interessata.
                    <br>
                    Dopo aver effettuato il login, è possibile accedere direttamente ai dati di stato civile, agli eventi significativi, ai documenti e ai media della persona interessata.
                    <br>
                    È possibile “seguirlo” per essere avvisati via e-mail di qualsiasi modifica che lo riguardi.
                    <br>
                    L\'albero dei discendenti è visualizzato orizzontalmente e può essere esportato in formato PDF.
                </p>
                <h3 style="white-space:nowrap">
                    È la vostra prima visita ?                    
                </h3>
                Registrati per essere in grado di :
                <ul>
                    <li>Visualizza i record degli individui esistenti..</li>
                    <li>Segui le tue persone preferite..</li>
                </ul>
                <ul>
                    <li>Modifica i record degli individui esistenti..</li>
                    <li>Creare nuovi rami..</li>
                    <li>Aggiungere foto e documenti..</li>
                    <li>....</li>
                </ul>
                <button onclick=\'window.location.href="index.php?page=signup";\'>Registrazione</button>';
            break;
    }
}
echo '
            </div>
';
