
<?php

require_once('includes/clean_html_code.php');

function descendance($parent, $genre, &$string)
{
    global $link;
    global $level;
    $level++;
    $requete = "
        SELECT      2mr_persons.person_id, person_first_name, person_last_name, event_reason
        FROM        2mr_persons
        LEFT JOIN   2mr_events ON 2mr_events.person_id = 2mr_persons.person_id AND event_type='U'
        WHERE       person_" . $genre . "_id = $parent
        GROUP BY    person_id
        ORDER BY    person_" . $genre . "_id, person_id
        ";
    $result = mysqli_query($link, $requete);
    while ($children = mysqli_fetch_assoc($result)) {
        if ($children['event_reason'] > 0) {
            $companion = ' & ' . mysqli_fetch_array(mysqli_query($link, "SELECT CONCAT(person_first_name,' ',person_last_name) as name FROM 2mr_persons WHERE person_id = " . $children['event_reason']))[0];
        } else {
            $companion = '';
        }
        $string .= '<li>
<span class="brown' . $level . '"><b>' . $children['person_first_name'] . ' ' . $children['person_last_name'] . '</b>' . $companion . '
</span>
<ul>';
        descendance($children['person_id'], $genre, $string);
        $string .= '</ul>';
        $string .= '
</li>';
    }
    $level--;
}
$level = 0;
descendance($_SESSION['person_id'], ['M'=>'father','F'=>'mother'][$_SESSION['person']['person_gender']], $string);
$content = '
    <div class="box tree">
        <i class="fas fa-undo" title="' . localize("Retourner à la fiche de l'individu", $_SESSION['lang']) . '..." onclick=\'window.location.href="index.php"\'></i>
        <h2>
        ' . localize("Descendance de §§", $_SESSION['lang'], $_SESSION['person']['person_first_name'] . ' ' . $_SESSION['person']['person_last_name']) .  '
        </h2>
        <div class="branch">
            ';
if ($string != '') {
    $content .= str_replace("\n<ul></ul>", '', $string);
} else {
    $content .= '
            <div class="no-child">
                <h3>
                    ' . $_SESSION['person']['person_first_name'] . ' ' . $_SESSION['person']['person_last_name'] . ' ' . localize("n'a pas de descendant", $_SESSION['lang']) . ' !
                </h3>
            </div>';
}
echo clean_html_code($content);
echo '
            <i class="fas fa-undo" title="' . localize("Retourner à la fiche de l'individu", $_SESSION['lang']) . '..." onclick=\'window.location.href="index.php"\'></i>
        </div>
    ';
$user = mysqli_fetch_array(mysqli_query($link, "SELECT user_name FROM 2mr_admins WHERE user_id = " . $_SESSION['userID']));

echo '
        <form id="pdf" action="contents/pdf.php" target="_blank" method="POST" style="position:relative;display:inline-block;float:right;margin:-90px 10px 0 0">
            <input type="hidden" name="filename" value="' . $_SESSION['person']['person_first_name'] . '_' . $_SESSION['person']['person_last_name'] . '_tree.pdf" />
            <textarea name="page" style="display:none">
    <style>
        @page {margin:0rem 0rem;}
        body {font-family:Oswald;margin:6rem 0 0 0;}
        header {position:fixed;top:0rem;left:0rem;right:0rem;height:4rem;background-color:#f0f0f0;padding:1rem 1rem 0 1rem;}
        header img {background-color:#f0f0f0;}
        header h1 {float:right;margin:0;padding:0;width:fit-content;line-height:2.3rem;}
        footer {position:fixed;bottom:0rem;left:0rem;right:0rem;height:2.2rem;background-color:#5A7247;color:white;line-height:1rem;padding:0 1rem}
        footer table {width:100%;height:100%}
        footer td {margin:0;padding:0;vertical-align:bottom;width:33%;white-space:nowrap;}
        footer td img {background-color:white;height:28px;margin:0 5px;padding:0 5px;vertical-align:bottom;}    
        .tree {width:100%}
        .tree h2 {display:none}
        .tree .branch {overflow-x:auto;padding-bottom:2rem;white-space:nowrap;}
        .tree .branch .no-child {width:fit-content;margin:10rem auto;}
        .tree .branch ul {border-left:3px solid #5A7247;display:inline-block;margin:0 0 0 1rem;padding:0 1rem;position:relative;vertical-align:middle;}
        .tree .branch li {display:block;height:fit-content;width:fit-content;margin:1rem 0;}
        .tree .branch li span {font-size:16px;padding:.5rem 1rem;}
        .tree .branch li span b {font-size:16px;font-weight:400;}
        .tree .branch li span.brown2 {background-color:#7f3d11;color:white;font-size:16px;}
        .tree .branch li span.brown3 {background-color:#994715;color:white;font-size:16px;}
        .tree .branch li span.brown4 {background-color:#b25118;font-size:16px;}
        .tree .branch li span.brown5 {background-color:#cc5c1c;font-size:16px;}
        .tree .branch li span.brown6 {background-color:#e56520;font-size:16px;}
    </style>
</head>
<body>
    <header>
        <img src="' . $site_url .'/template/images/logo_pdf.png">
        <h1>' . localize("Descendance de §§", $_SESSION['lang'], $_SESSION['person']['person_first_name'] . ' ' . $_SESSION['person']['person_last_name']) .  '</h1>
    </header>
    <main>
' . clean_html_code(str_replace("</span>", "&nbsp;</span>",$content)) . '
            </main>
        <footer>
            <table><tr>
                    <td>
                        ' . localize('Propulsé par §§ développé par', $_SESSION['lang'], '<img src="' . $site_url .'/template/images/2myRoots_mini.png">' . version()) . '
                        <img src="' . $site_url .'/template/images/d0n-be_logo.png">
                    </td>

                    <td style="text-align:center">
                        ' . localize('Tous droits réservés', $_SESSION['lang']) . ' &copy; ' .  date("Y") . '
                    </td>

                    <td style="text-align:right">' . localize('Généré par §§ le', $_SESSION['lang'], $user[0]) . ' ' . date('d/m/Y'). '</td>
            </tr></table>
        </footer>
            </textarea>
            <input type="submit" value="' . localize('Exporter en PDF', $_SESSION['lang']) . '">
        </form>';
