<?php
function dateSQL2FR($date)
{
    if ($date != '0000-00-00' && $date != '') {
        return substr($date, 8, 2) . '/' . substr($date, 5, 2) . '/' . substr($date, 0, 4);
    } else {
        return '';
    }

}
function isUser($userID) {
    global $users_array;
    if (isset($users_array[$userID])) {
        return true;
    } else {
        return false;
    }
}
function isAdmin($userID) {
    global $admins_array;
    if (isset($admins_array[$userID]) && $admins_array[$userID] == 'Y') {
        return true;
    } else {
        return false;
    }
}
function isEditor($userID) {
    global $editors_array;
    if (isset($editors_array[$userID]) && $editors_array[$userID] == 'Y') {
        return true;
    } else {
        return false;
    }
}

function localize($french, $lang, $var = null)
{
    global $languages, $translationsArray;
    if ($lang == "FR") {
        return str_replace('§§', $var, $french);
    } else {
        if (isset($translationsArray[$french])) {
            $trans = str_replace('§§', $var, $translationsArray[$french][$languages[$lang]-1]);
            if ($trans != '') {
                return $trans;
            } else {
                return '['.str_replace('§§', $var, $french).']';
            }
        } else {
                return '['.str_replace('§§', $var, $french).']';
        }
    }
}

function CheckOrientation($path, $name)
{
    global $html;
    $image = @getImageSize($path); // info sur la dimension de l'image
    if ($image[0] > $image[1]) {
        return true;
    } else {
        echo "<script>alert('La photo n\'est pas en orientation paysage');</script>";
        return false;
    }
}

function CheckRatio($path, $name)
{
    global $html;
    $image = @getImageSize($path); // info sur la dimension de l'image
    if ($image[0] == $image[1]) {
        return true;
    } else {
        echo "<script>alert('La photo n\'est pas carrée');</script>";
        return false;
    }
}

function autocomplete() {
    echo '
            <form action="" autocomplete="off">
                <div class="autocomplete">
                    <input type="text" id="name" name="name" value="' . CapitalLastFirst(SwapLastFirst($Row['name'])) . '" />
                    <input type="hidden" id="old" name="name" value="' . CapitalLastFirst(SwapLastFirst($Row['name'])) . '" />
                </div>
                <i class="fas fa-search fa-2x" onclick=\'goBooking();\'></i>
            </form>'; 
}

function version() {
    $oldtime = "";
    $repertoire = "./";
    $id_dossier = opendir($repertoire);
    while ($fichier = readdir($id_dossier)) {
        $id_fichier = $repertoire . $fichier;
        if (substr($fichier, -4) == '.php' && is_file($id_fichier) && filemtime($id_fichier) > $oldtime)
            $oldtime = filemtime($id_fichier);
    }
    closedir($id_dossier);
    $repertoire = "./contents/";
    $id_dossier = opendir($repertoire);
    while ($fichier = readdir($id_dossier)) {
        $id_fichier = $repertoire . $fichier;
        if (substr($fichier, -4) == '.php' && is_file($id_fichier) && filemtime($id_fichier) > $oldtime)
            $oldtime = filemtime($id_fichier);
    }
    closedir($id_dossier);
    $repertoire = "./includes/";
    $id_dossier = opendir($repertoire);
    while ($fichier = readdir($id_dossier)) {
        $id_fichier = $repertoire . $fichier;
        if (substr($fichier, -4) == '.php' && is_file($id_fichier) && filemtime($id_fichier) > $oldtime)
            $oldtime = filemtime($id_fichier);
    }
    closedir($id_dossier);
    return 'V.' . ltrim(date("y.m", $oldtime), '2');
}
?>

