<?php

$languages = ['FR'=>0, 'NL'=>1, 'EN'=>2, 'IT'=>3];
$translationsArray = [
//  général
    "Une erreur est survenue lors des modifications" => ["Er is een fout opgetreden tijdens de wijzigingen", "An error occurred during the modifications", "Si è verificato un errore durante le modifiche"],
    "Quitter" => ["Stopzetten", "Cancel", "Interrompere"],
    "Sauver" => ["Opslaan", "Save", "Salvare"],
//  header.php
    "Accueil" => ["Home", "Home", "Casa"],
    "Administration" => ["Administratie", "Administration", "Amministrazione"],
    "Afficher la branche descendante de cet individu" => ["Toon de afstammelingentak van deze persoon", "Show the descendant branch of this individual", "Visualizza il ramo discendente di questo individuo"],
    "Aide" => ["Hulp", "Help", "Aiuto"],
    "Ajouter un individu" => ["Een persoon toevoegen", "Add an individual", "Aggiungere un individuo"],
    "Tous" => ["Alle", "All", "Alle"],
    "Arbre" => ["Boom", "Tree", "Albero "],
    "Arbre généalogique des" => ["Stamboom van", "Family tree of ", "Albero genealogico del"],
    "Connexion" => ["Aansluiting", "Login", "Connessione"],
    "Déconnexion" => ["Afsluiting", "Logout", "Disconnessione"],
    "Enregistrement" => ["Inschrijving", "Sign Up", "Registrazione"],
    "Gérer les utilisateurs" => ["Gebruikers beheren", "Manage users", "Gestire gli utenti"],
    "Manuel d'utilisation" => ["Gebruikershandleiding", "User's manual", "Manuale d'uso"],
    "Modifier son profil" => ["Uw profiel wijzigen", "Edit your profile", "Modifica il tuo profilo"],
    "Nouveau" => ["Niew", "New", "Nuovo"],
    "Préférences" => ["Voorkeuren", "Preferences", "Preferenze"],
    "Se connecter" => ["Log in.", "Log in", "Entrare"],
    "Se déconnecter" => ["Loskoppelen", "Disconnecting", "Scollegare"],
    "Se faire membre" => ["Lid worden", "Become a member", "Diventa un membro"],
//  login.php
    "La combinaison utilisateur/mot de passe saisie est incorrecte" => ["De combinatie gebruikersnaam/wachtwoord ingevoerd is onjuist", "The combination user/password entered is incorrect", "Inserita una combinazione utente/password errata"],
    "Mot de passe oublié" => ["Wachtwoord vergeten", "Forgot Password", "Hai dimenticato la tua password"],
    "Mot de passe" => ["Wachtwoord", "Password", "Password"],
    "Nom d'utilisateur" => ["Gebruikersnaam", "Username", "Nome utente"],
    "Se connecter" => ["Log in", "Log in", "Entrare"],
    "Votre nom d'utilisateur" => ["Uw gebruikersnaam", "Your username", "Il tuo nome utente"],
// signup.php
    "8 cars min" => ["8 cars min", "8 cars min", "8 cars min"],
    "Adresse email" => ["Emailadres", "Email address", "Indirizzo e-mail"],
    "Cette adresse email est déjà utilisée" => ["Dit e-mailadres is al in gebruik", "This email address is already in use", "Questo indirizzo e-mail è già in uso"],
    "Check mot de passe" => ["Controleer wachtwoord", "Check password", "Controllare la password"],
    "Etes-vous un robot ?" => ["Ben jij een robot?", "Are you a robot?", "Sei un robot?"],
    "Langue" => ["Taal", "Language", "Lingua"],
    "Le statut d'éditeur est attribué selon<br>demande par mail à" => ["De status van uitgever wordt toegekend op basis<br>van verzoek per e-mail naar","Publisher status is granted according to<br>request by email to","Lo status di editore viene assegnato in base<br>a richiesta via e-mail a"],
    "Les mots de passe sont différents" => ["Wachtwoorden zijn verschillend", "Passwords are different", "Le password sono diverse"],
    "Pseudo" => ["Gebruikersnaam", "Username", "Nome utente"],
    "Retapez-le" => ["Hertyp het", "Retype it", "Riscrivilo"],
    "S'enregistrer" => ["Registreren", "Register", "Registra"],
    "Un nom d'utilisateur" => ["Een gebruikersnaam", "An username", "Un nome utente"],
    "Une adresse mail valide" => ["Een geldig e-mail adres", "A valid email address", "Un indirizzo e-mail valido"],
    "Valider" => ["Valideren", "Validate", "Convalidare"],
//  kinship.php
    "Arbre de" => ["Boom van ", "Tree of", "Albero di"],
    "Fille" => ["Dochter", "Daugther", "Figlia"],
    "Fils" => ["Zoon", "Son", "Figlio"],
    "Mère" => ["Moeder", "Mother", "Madre"],
    "Père" => ["Vader", "Father", "Padre"],
    "Pour des raisons de confidentialité, seules les personnes décédées depuis plus de 100 ans sont listées.<br>Veuillez <a href='?page=login'>vous connecter</a> pour visualiser l'entiereté de l'arbre." => ["Om redenen van vertrouwelijkheid zijn alleen mensen opgenomen die al meer dan 100 jaar dood zijn.<br><a href='?page=login'>Log in</a> om de volledige stamboom te bekijken.","For reasons of confidentiality, only people who have been dead for more than 100 years are listed.<br>Please <a href='?page=login'>log in</a> to view the entire tree.","Per motivi di riservatezza, sono elencate solo le persone morte da più di 100 anni.<br>Per visualizzare l'intero albero, effettuare <a href='?page=login'>il login</a>."],
    "prénom Nom" => ["Voornaam Achternaam", "first name Last name", "nome Cognome"],
    "Recevez ses modifications par mail" => ["Ontvang de wijzigingen per e-mail", "Receive its modifications by email", "Ricevere le sue modifiche via e-mail"],
    "Saisissez le prénom puis le nom de la personne recherchée." => ["Voer de voornaam en vervolgens de achternaam in van de persoon die je zoekt.","Enter the first and last name of the person you are looking for.","Inserire il nome e il cognome della persona cercata."],
    "Suivre" => ["Volg", "Follow", "Seguire"],
    "Suivi" => ["Gevolgd", "Followed", "Seguito"],
    "Suivie" => ["Gevolgd", "Followed", "Seguita"],
    "Voir l'individu" => ["Zie de individuele", "See the individual", "Vedere l'individuo"],
    "Vous recevez ses modifications par mail" => ["U ontvangt de wijzigingen per e-mail", "You receive its modifications by mail", "Riceverete le sue modifiche via e-mail"],
//  card.php
    "Choisir photo" => ["Kies foto", "Choose picture", "Scegliere la foto"],
    "Fiche d'identité" => ["Identiteitskaart", "Identity card", "Carta d'identità"],
    "Femme" => ["Vrouw", "Female", "Femmina"],
    "Genre" => ["Geslacht", "Gender", "Sesso"],
    "Homme" => ["Man", "Male", "Maschio"],
    "Prénom" => ["Voorname", "First name", "Cognome"],
    "Agé(e) de" => ["Leeftijd van", "Age of", "Età di"],
    "Décédé(e) à" => ["Overleden op", "Deceased at", "Morto a"],
    "ans" => ["jaar oud", "years old", "anni"],
    "mois" => ["maanden", "month", "mesi"],
//  events.php
    "à" => ["op", "at", "alla"],
    "avec" => ["met", "with", "con"],
    "Avec, de" => ["Met, van", "With, from", "Con, da"],
    "Certifié" => ["Gecertificeerd", "Certified", "Certificato"],
    "Date" => ["Datum", "Date", "Data"],
    "Décès" => ["Overleden", "Deaths", "Morti"],
    "Evènement" => ["Evenement", "Event", "Evento"],
    "Evènements marquants" => ["Belangrijkste gebeurtenissen", "Milestones", "Eventi chiave"],
    "Individu" => ["Individueel", "Individual", "Individuale"],
    "le" => ["het", "the", "il"],
    "Lieu" => ["Locatie", "Location", "Posizione"],
    "Naissance" => ["Geborte", "Birth", "Nascita"],
    "Non" => ["Nee", "No", "No"],
    "Note" => ["Opmerking", "Note", "Nota"],
    "Nouvel évènement" => ["Nieuw evenement", "New event", "Nuovo evento"],
    "Oui" => ["Ya", "Yes", "Si"],
    "Séparation" => ["Scheiding", "Separation", "Separazione"],
    "Un fils" => ["Een zoon", "A son", "Un figlio"],
    "Une fille" => ["Een dochter", "A daugther", "Una figlia"],
    "Union" => ["Union", "Union", "Unione"],
//  medias.php
    "Description" => ["Beschrijving", "Description", "Descrizione"],
    "Fichier" => ["Bestand", "File", "File"],
    "Nom" => ["Naam", "Name", "Nome"],
    "Nouveau media" => ["Nieuw media", "New media", "Nuovo media"],
    "Photos et documents" => ["Foto's en documenten", "Photos and documents", "Foto e documenti"],
    "Titre" => ["Titel", "Title", "Titolo"],
//  choices.php
    "Individus suivis" => ["Gecontroleerde personen", "Individuals tracked", "Individui monitorati"],
    "Mot de passe actuel" => ["Huidig wachtwoord", "Current Password", "Password corrente"],
    "Nouveau mot de passe" => ["Nieuw wachtwoord", "New password", "Nuova password"],
    "Supprimer" => ["Delete", "Delete", "Cancellare"],
//  admin.php
    "Administrateur" => ["Beheerder", "Administrator", "Amministratore"],
    "Editeur" => ["Redacteur", "Editor", "Editore"],
    "Modifié le" => ["Gewijzigd op", "Updated by", "Modificato il"],
    "Modifié par" => ["Gewijzigd door", "Updated by", "Modificato da"],
    "Gestion des administrateurs" => ["Beheerder", "Administrator management", "Gestione degli amministratori"],
//  tree.php
    "Descendance de §§" => ["Afstammelingen van §§", "Descendants of §§", "Discendenti di §§"],
    "Exporter en PDF" => ["Exporteren als PDF", "Export to PDF", "Esportazione in formato PDF"],
    "Généré par §§ le" => ["Gegenereerd door §§ op", "Generated by §§ on", "Generato da §§ il"],
    "n'a pas de descendant" => ["heeft geen nakomelingen", "has no descendant", "non ha discendenti"],
    "Propulsé par §§ développé par" => ["Aangedreven door §§ ontwikkeld door", "Powered by §§ developed by", "Alimentato da §§ sviluppato da"],
    "Retourner à la fiche de l'individu" => ["Terug naar de kaart van het individu", "Return to the individual's card", "Ritorno alla carta dell'individuo"],
//  new.php    
    "Nouvel individu" => ["Nieuw individu", "New individual", "Nuovo individuo"],
//  footer.php
    "Contactez-nous" => ["Neem contact met ons op", "Contact us", "Contattateci"],
    "Tous droits réservés" => ["Alle rechten voorbehouden", "All rights reserved", "Tutti i diritti riservati"],
    "" => ["", "", ""],
];
?>

