<?php
if ($_SESSION['person_id'] > 0) {
    echo '
            <div class="box kinship">';
    $personRow = mysqli_fetch_assoc(mysqli_query($link, "
            SELECT * FROM 2mr_persons
            LEFT JOIN 2mr_events ON (2mr_events.person_id = 2mr_persons.person_id AND 2mr_events.event_type = 'B')
            LEFT JOIN 2mr_medias ON 2mr_medias.person_id = 2mr_persons.person_id
            WHERE 2mr_persons.person_id = " . $_SESSION['person_id']));
    if (isset($personRow['person_father_id'])) {
        $fatherRow = mysqli_fetch_assoc(mysqli_query($link, "
                SELECT 2mr_persons.person_id, person_gender, media_file, person_first_name, person_last_name
                FROM 2mr_persons
                LEFT JOIN 2mr_medias USING(person_id)
                WHERE person_id = " . $personRow['person_father_id']));
    }
    if (isset($personRow['person_mother_id'])) {
        $motherRow = mysqli_fetch_assoc(mysqli_query($link, "
                SELECT 2mr_persons.person_id, person_gender, media_file, person_first_name, person_last_name
                FROM 2mr_persons
                LEFT JOIN 2mr_medias USING(person_id)
                WHERE person_id = " . $personRow['person_mother_id']));
    }
    $childsQry = mysqli_query($link, "
            SELECT 2mr_persons.person_id, person_gender, media_file, event_date, person_first_name, person_last_name
            FROM 2mr_persons
            LEFT JOIN 2mr_events ON (2mr_events.person_id = 2mr_persons.person_id AND 2mr_events.event_type = 'B')
            LEFT JOIN 2mr_medias ON 2mr_medias.person_id = 2mr_persons.person_id
            WHERE person_father_id = " . $_SESSION['person_id'] . " OR person_mother_id = " . $_SESSION['person_id'] . "
            GROUP BY 2mr_persons.person_id"
    );
    echo '
                <div class="level">';
    if (isset($fatherRow) && isset($_SESSION['userID'])) {
        echo '
                    <div class="person"' . (isset($fatherRow) ? 'onclick=\'window.location.href="index.php?person_id=' . $fatherRow['person_id'] : '') . '"\'>
                        <div class="status">
                            ' . localize("Père", $_SESSION['lang']) . '
                        </div>
                        <img src="medias/' . (isset($fatherRow['media_file']) && file_exists('medias/' . $personRow['media_file']) ? $fatherRow['media_file'] : 'Anonymous.gif') . '" class="face">
                        ' . ['M' => 'Mr', 'F' => 'Mme'][$fatherRow['person_gender']] . ' <span class="first_name">' . $fatherRow['person_first_name'] . ' </span><span class="last_name">' . $fatherRow['person_last_name'] . '</span>
                    </div>';
    }
    if (isset($motherRow) && isset($_SESSION['userID'])) {
        echo '
                    <div class="person"' . (isset($motherRow) ? 'onclick=\'window.location.href="index.php?person_id=' . $motherRow['person_id'] : '') . '"\'>
                        <div class="status">
                            ' . localize("Mère", $_SESSION['lang']) . '
                        </div>
                        <img src="medias/' . (isset($motherRow['media_file']) && file_exists('medias/' . $personRow['media_file']) ? $motherRow['media_file'] : 'Anonymous.gif') . '" class="face">
                        ' . ['M' => 'Mr', 'F' => 'Mme'][$motherRow['person_gender']] . ' <span class="first_name">' . $motherRow['person_first_name'] . ' </span><span class="last_name">' . $motherRow['person_last_name'] . '</span>
                    </div>';
    }
    if (isset($_SESSION['userEmail'])) {
        $trackedRow = mysqli_num_rows(mysqli_query($link, "SELECT person_id FROM 2mr_trackings WHERE person_id = " . $_SESSION['person_id'] . " AND user_email = '" . $_SESSION['userEmail'] . "'"));
    }
    $_SESSION['person'] = $personRow;
    echo '
                </div>

                <div class="level">
                    <div class="person current">
                        <div class="status">
                            ' . (isset($_SESSION['userEmail']) ? (isset($trackedRow) && $trackedRow == 0 ? '<i class="fas fa-sync" title="' . localize('Recevez ses modifications par mail', $_SESSION['lang']) . '..." onclick=\'window.location.href="admin/updates.php?follow=' . $_SESSION['person_id'] . '"\'></i><b>' . localize('Suivre', $_SESSION['lang']) . '</b>' : '<i class="far fa-eye" title="' . localize('Vous recevez ses modifications par mail', $_SESSION['lang']) . '..."></i><b>' . localize('Suivi' . ($personRow['person_gender']=='F' ? 'e':''), $_SESSION['lang']) . '</b>'):'') . '
                        </div>
                        <img src="medias/' . (isset($personRow['media_file']) && file_exists('medias/' . $personRow['media_file']) ? $personRow['media_file'] : 'Anonymous.gif') . '" class="face">
                        ' . ['M' => 'Mr', 'F' => (substr($personRow['event_date'], 0, 4) > (date('Y') - 18) ? 'Mlle' : 'Mme')][$personRow['person_gender']] . ' <span class="first_name">' . $personRow['person_first_name'] . ' </span><span class="last_name">' . $personRow['person_last_name'] . '</span>
                    </div>
                </div>

                <div class="level">';
    if (isset($_SESSION['userID'])) {
        if (mysqli_num_rows($childsQry) > 0 && isset($_SESSION['userID'])) {
            while ($childsRow = mysqli_fetch_assoc($childsQry)) {
                echo '
                    <div class="person" onclick=\'window.location.href="index.php?person_id=' . $childsRow['person_id'] . '"\' title="' . $childsRow['person_id'] . '">
                        <div class="status">
                            ' . ($childsRow['person_gender'] == 'M' ? '' . localize("Fils", $_SESSION['lang']) . '' : '' . localize("Fille", $_SESSION['lang']) . '') . '
                        </div>
                        <img src="medias/' . (isset($childsRow['media_file']) && file_exists('medias/' . $personRow['media_file']) ? $childsRow['media_file'] : 'Anonymous.gif') . '" class="face">
                        ' . ['M' => 'Mr', 'F' => (substr($childsRow['event_date'], 0, 4) > (date('Y') - 18) ? 'Mlle' : 'Mme')][$childsRow['person_gender']] . ' <span class="first_name">' . $childsRow['person_first_name'] . ' </span><span class="last_name">' . $childsRow['person_last_name'] . '</span>
                    </div>';
            }
        }
    } else {
        echo '
                    <div class="warning">
                        ' . localize((!isset($_SESSION['userID']) ? "Pour des raisons de confidentialité, seules les personnes décédées depuis plus de 100 ans sont listées.<br>Veuillez <a href='?page=login'>vous connecter</a> pour visualiser l'entiereté de l'arbre.":""), $_SESSION['lang']) . '
                    </div>';        
    }
    echo '
                </div>

            </div>
        ';
}