<?php

$mediasQry = mysqli_query($link, "SELECT * FROM 2mr_medias WHERE media_type <> 'A' AND person_id = " . $_SESSION['person_id']);
if (mysqli_num_rows($mediasQry) > 0 || isset($_SESSION['userID'])) {
    echo '
            <div class="box medias">
                <h3>
                    ' . localize("Photos et documents", $_SESSION['lang']) . ' :
                </h3>';
    if (mysqli_num_rows($mediasQry) > 0) {
        while ($mediasRow = mysqli_fetch_assoc($mediasQry)) {
            echo '
                <div>
                    <i class="far fa-trash-alt" onclick=\'
                        if (confirm("' . localize("Confirmez-vous la suppression de ce document ?", $_SESSION['lang']) . '"))
                            window.location.replace("admin/updates.php?deldoc=' . $mediasRow['media_file'] . '");
                        \'/></i>
                    <a href="medias/' . $mediasRow['media_file'] . '" target="_blank">';
            if (strpos($mediasRow['media_file'],'.jp') > 0) {
                echo '<img src="medias/' . $mediasRow['media_file'] . '">';
            } else {
                echo '<img src="template/images/' . str_replace('.','', substr($mediasRow['media_file'],-4)) . '.png">';
                    }
            echo '<span title="' . $mediasRow['media_descr'] . '">' . $mediasRow['media_title'] . '</span></a>
                </div>';
        }
    }
    if (isEditor($_SESSION['userID'])) {
        echo '
                <label id="new_media_button" class="button" onclick=\'
                    document.getElementById("media_form").style.display="block";
                    document.getElementById("new_media_button").style.display="none";
                    \'>' . localize("Nouveau media", $_SESSION['lang']) . '
                </label>
                <form id="media_form" action="admin/updates.php" method="POST" enctype="multipart/form-data">
                    <table>
                        <tr>
                            <td>
                                <label for="media_file" class="button" title="' . localize("Sélectionnez un fichier media", $_SESSION['lang']) . '">' . localize("Fichier", $_SESSION['lang']) . '</label>
                                <input type="file" name="media_file" id="media_file" accept=".jpg, .jpeg, .docx, pptx, .xlsx, .pdf" onchange="
                                var filename = this.files[0].name;
                                if (filename.indexOf(\'.xlsx\') > 0) {
                                    document.getElementById(\'media1\').src = \'template/images/xlsx.png\';
                                } else {
                                    if (filename.indexOf(\'.docx\') > 0) {
                                        document.getElementById(\'media1\').src = \'template/images/docx.png\';
                                    } else {
                                        if (filename.indexOf(\'.pptx\') > 0) {
                                            document.getElementById(\'media1\').src = \'template/images/pptx.png\';
                                        } else {
                                            if (filename.indexOf(\'.pdf\') > 0) {
                                                document.getElementById(\'media1\').src = \'template/images/pdf.png\';
                                            } else {
                                                document.getElementById(\'media1\').src = window.URL.createObjectURL(this.files[0]);
                                            }
                                        }
                                    }
                                }
                                document.getElementById(\'filename\').value = filename;
                                " />
                            </td>
                            <td style="vertical-align:bottom">
                                <img id="media1">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>
                                    ' . localize("Nom", $_SESSION['lang']) . ' :
                                </label>
                            </td>
                            <td>
                                <input type="text" id="filename" disabled>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="media_title">
                                    ' . localize("Titre", $_SESSION['lang']) . ' :
                                </label>
                            </td>
                            <td>
                                <input type="text" id="media_title" name="media_title">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="event_form_note">
                                    ' . localize("Description", $_SESSION['lang']) . ' :
                                </label>
                            </td>
                            <td>
                                <textarea id="media_descr" name="media_descr"></textarea>
                            </td>
                        </tr>
                    </table>
                    <div class="buttons-bar">
                        <a class="button" onclick=\'document.getElementById("media_form").style.display="none";document.getElementById("new_media_button").style.display="block";\'>' . localize("Quitter", $_SESSION['lang']) . '</a>
                        <input type="submit" name="media_form_submit" value="' . localize("Sauver", $_SESSION['lang']) . '">
                    </div>
                </form>
            </div>';
    }
    echo '
        </div>
    ';
}
