<?php

// include autoloader
require ('../includes/dompdf/autoload.php');

use Dompdf\Dompdf;

$html = '
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="https://fonts.googleapis.com/css?family=Oswald:100,300,400,500,600,700" rel="stylesheet" />
' . $_POST['page'] . '
</body>
</html>';
//$_dompdf_show_warnings = true;
//$_dompdf_debug = true;
$tmp = sys_get_temp_dir();
$dompdf = new Dompdf([
    'logOutputFile' => '',
    // authorize DomPdf to download fonts and other Internet assets
    'isRemoteEnabled' => true,
    // all directories must exist and not end with /
    'fontDir' => $tmp,
    'fontCache' => $tmp,
    'tempDir' => $tmp,
    'chroot' => $tmp,
]);
$dompdf->loadHtml($html); //load an html
$dompdf->setPaper('A4', 'landscape');
$dompdf->render();
$dompdf->stream($_POST['filename'], [
    'compress' => true,
    'Attachment' => false,
]);
